
import os
import shutil
import messages

# function to make a directory
def makeDirectory(dir):
	ok = True
	dirExists = True
	try:
		# use makedirs for recursive mkdir
		os.makedirs(dir) 
		print messages.OBDCreateOk
	except OSError , (errno, strerror): 
		ok = False
		dirExists = False
		print messages.OBDCreateFail
		print 'OSError %d: %s\n\n' % (errno,  strerror)
	return ok, dirExists

# function to verify file exists, return file name
def VerifyExists(line, copyAll, outBaseDir, errorMsg):
	inBaseDir = ''
	allOk = True
	filename = line.strip()
	# does file exist?
	if (not os.path.exists(inBaseDir + filename)):
		allOk = False
		print errorMsg %(line)
	else:
		if copyAll:
			shutil.copy2(inBaseDir + filename, outBaseDir)
	return allOk, filename
	