# Error and informative messages for inversion script

CannotOpenInputDataFileMsg = 'Error opening file %s: %s\n\n'
BadProblemDim = 'Error, unrecognized Problem Dimension, %s, expected %s, %s, %s or %s.'
OBDCreateFail = 'Error, creating output Base Dir '
OBDCreateOk = 'Output base directory successfully created'
OBDNoWrite = 'Error, output Base Dir is not writable or accessible:  %s'
dFileNoExist = 'Error, input map file does not exist:  %s'
maskFileNoExist = 'Error, input mask file does not exist:  %s'
CIFileNoExist = 'Error, noise covariance file does not exist:  %s'
ModelFileNoExist = 'Error, model file does not exist:  %s'
KFileNoExist = 'Error, kernel file does not exist:  %s'
RFileNoExist = 'Error, Regularization file does not exist:  %s'
TargetFNoExist = 'Error, Target 1D file does not exist:  %s'
DirCreateFail = 'Error, creating Directory '
DirCreateOk = 'Directory successfully created'

KernelBaseDirNoExist = 'Error, base directory for Kernel files does not exist:  %s'
MapBaseDirNoExist = 'Error, base directory for Map files does not exist:  %s'
MaskBaseDirNoExist = 'Error, base directory for Mask files does not exist:  %s'
AvgKerLineExpected = 'Error, Avg Kernel line expected instead of:  0}'
AvgStrExpected = 'Error, keyword Avg expected instead of:  %s'
KernelStrExpected = 'Error, keyword Kernel expected instead of:  %s'
ExpectedPositiveInteger = 'Error, expected positive integer for Averaging Kernel depth instead of:  %s'
ExtraCharsAfterMinus1 = 'Error, extra characters after -1 in Averaging Kernel specification:  %s'

RangeMinGreaterMax = 'RangeMinGreaterMaxError, Range min must be <= Range max: Found Range min = %f, Range max = %f.'
RangeNLessEqZero = 'RangeNLessEqZeroError, Number of steps in range must be greater than zero: Found n = %f'
LambdaNotEnough = 'LambdaNotEnoughError, missing range specification for Lambda. \n\tFound: %s \texpected: Lambda1Min Lambda1Max nLambda1 Lambda2Min Lambda2Max nLambda2.'
MuNotEnough = 'MuNotEnoughError, missing range specification for Mu and Sigma. \n\tFound: %s \texpected: muMin muMax nMu sigmaMin sigmaMax nSigma.'

ParsingOnlyMsg = 'Parsing file only'
CopyAllInputMsg = 'Will copy all input files to output base directory'
OlaInversionMsg = 'Performing OLA inversion'
RlsInversionMsg = 'Performing RLS inversion'
UnrecognizedInversion = 'Unrecognized type of inversion'

ErrorsExiting = "Errors found in the input data file. Exiting."
ParsingOnly = "Only parsing file; Inversion not run. Exiting."
SolvingInversion = "Solving Inversion ... "
DebugFlag = "Debug flag detected."

SuccessfulInversion = 'The inversion completed successfully.'
ExceptionInversion = "The inversion had an exception."
CompletedWithError = "The inversion completed with error. %s"
OSErrorInversion = "OSError (%d): %s: %s"