/*
 * fftw.h
 *
 *  Created on: Mar 1, 2011
 *      Author: Brenda Javornik (e-mail: brendaj (at) cora.nwra.com)
 */

#ifndef FFTW_H_
#define FFTW_H_

#include "matrix.h"
#include <fftw3.h>

MATRIX fftw(fits2d function);
MATRIX fftwReverse(MATRIX function, int shift);
MATRIX fftwShift(MATRIX m);

#endif /* FFTW_H_ */
