/*
 * ProblemDimension.c
 *
 *  Created on: May 12, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) cora.nwra.com)
 */

/** Current problem dimension. */
static int dimension = 1;

/**
 * Record the problem dimension.
 * @param[in] dim Problem Dimension, either 1,3, or 5.
 */
void setProblemDimension(int dim) {
	dimension = dim;
}

/**
 * Get the problem dimension.
 * @return A number indicating the problem dimension.
 */
int getProblemDimension() {
	return dimension;
}
