/*
 * utilities.h
 *
 *  Created on: May 24, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) cora.nwra.com)
 */

#ifndef UTILITIES_H_
#define UTILITIES_H_

#include <stdlib.h>

#define BOOLEAN int
#define TRUE	1
#define FALSE 	0

#define ROW_MAJOR_IDX(R, C, NCOL) ((R)*(NCOL) + (C))

int endsWith(char *string, char *ending);
int longestName(char *filenames[], int nFiles);
int lowerStrNCmp(const char *str1, const char *str2, int n);

/* string tokenizer */
void stringTokenizer(char *line);
char *nextToken();

char *constructFileName(char *basedir, char *filename);

char *td_malloc(size_t size);

void td_free(void *mem, size_t size);
long getMemoryReport();

char *getLibraryVersion();

#endif /* UTILITIES_H_ */
