/*
 * InversionErrorMessages.h
 *
 *  Created on: Feb 28, 2011
 *      Author: Brenda Javornik (e-mail: brendaj (at) cora.nwra.com)
 */

#ifndef INVERSIONERRORMESSAGES_H_
#define INVERSIONERRORMESSAGES_H_

const static char OLAMainKernelSquare[] = "Kernel files must have equal x and y dimensions";
const static char OLAMainMapSquare[] = "Map data must have equal x and y dimensions and be the same as Kernel files";
const static char OLAMainNMapNKernel[] = "Number of map files must equal number of kernel files";
const static char OLAMainLambdaDim[] = "Lambda must have dimensions";
const static char OLAMainThetaDim[] = "Theta must have dimensions";
const static char OLAMainTargetfDim[] = "f needs to have dimensions";
const static char Missing1dTargetFunc[] = "Expected 1D target function, f(z; z0) is missing from input";
const static char MissingThetaFile[] = "Expected Theta file is missing from input";
const static char BadZDimForKernel[] = "getProblemDimension does not agree with Z-dim of Kernel file";
const static char ModelBadDimForW[] = "Incompatible dimensions when inserting w";
const static char BadSigmaMin[] = "Invalid minimum value for sigma";
const static char MainBadScatterNumber[] = "Problems setting scatterer";
const static char NullMatrix[] = "Matrix data is NULL";
const static char AvgStrExpected[] = "Expected 'Avg', instead of";
const static char KernelStrExpected[] = "Expected 'Kernel', instead of";
const static char AvgKernTooManyValues[] = "Too many values for calculating Averaging Kernel";
const static char AvgKernBadDepthValue[] = "unrecognized depth for averaging kernel";
const static char AvgKernInvalidDepthValue[] = "One of the Averaging Kernel depths is not within the range of the third dimension of the Kernel file: ";
const static char UnrecognizedScatterIndex[] = "Unrecognized Scatterer";
#endif /* INVERSIONERRORMESSAGES_H_ */
