/*
 * parserErrorMessages.h
 *
 *  Created on: Feb 15, 2011
 *      Author: Brenda Javornik (e-mail: brendaj (at) cora.nwra.com)
 */

#ifndef PARSERERRORMESSAGES_H_
#define PARSERERRORMESSAGES_H_

const static char Missing1dTargetFunc[] = "Expected 1D target function, f(z; z0)";
const static char MissingThetaFile[] = "Expected theta (overlap) file";
const static char MissingProblemDefn[] = "Expected problem definition";
const static char MissingBaseDir[] = "Expecting base directory";
const static char MissingKernBaseDir[] = "Expecting kernel base directory";
const static char MissingMapBaseDir[] = "Expecting map base directory";
const static char MissingMaskBaseDir[] = "Expecting mask base directory";
const static char MissingCovarFile[] = "Expecting covariance file";
const static char MissingMapFile[] = "Expecting map file";
const static char MissingKernFile[] = "Expecting kernel file";
const static char MissingMaskFile[] = "Expecting mask file";
const static char MissingRegFile[] = "Expecting regularization file";
const static char MissingKernMapPairs[] = "Expecting kernel-map pairs";
const static char MissingLambdaRange[] = "Expecting range for lambda parameter(s)";
const static char MissingMuSigmaRange[] = "Expecting range for mu and sigma parameters";
const static char MissingAvgKern[] = "Expecting averaging kernel specification";
const static char MissingSeedOrNoiseScale[] = "Expecting unsigned integer for random seed or range for noise scale (MissingSeedOrNoiseScale)";
const static char UnsignedIntForSeed[] = "Random seed must be an unsigned integer (UnsignedIntForSeed)";

#endif /* PARSERERRORMESSAGES_H_ */
